## wxDbTableInf

        tableName[0]    = 0;
        tableType[0]    = 0;
        tableRemarks[0] = 0;
        numCols         = 0;
        pColInf         = NULL;

Currently only used by wxDb::GetCatalog internally and wxDbInf class, but may be used in future releases for user functions. Contains information describing the table (Name, type, etc). A pointer to a wxDbColInf array instance is included so a program can create a wxDbColInf array instance (using wxDb::GetColumns) to maintain all information about the columns of a table in one memory structure.

Eventually, accessor functions will be added for this class

See the database classes overview for an introduction to using the ODBC classes.

Include files

<wx/db.h>

Members

wxDbTableInf::Initialize

### wxDbTableInf::Initialize

Simply initializes all member variables to a cleared state. Called by the constructor automatically.